package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Evt;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EvtMapper {

    int insert(Evt record);

    int insertSelective(Evt record);

    int updateByPrimaryKeySelective(Evt record);

    int updateByPrimaryKey(Evt record);

    int deleteByPrimaryKey(Evt record);

    int deleteByIds(Collection<Object> collection);

    Evt selectByPrimaryKey(Evt record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Evt> dyncRead(Map<String, Object> dyncMap);

}